﻿using LiveSplit.Model;
using LiveSplit.UI.Components;

namespace LiveSplit.TZA;

public class TzaFactory : IComponentFactory {
    public string ComponentName => "FFXII: The Zodiac Age";
    public string Description => "Autosplitter for FFXII: The Zodiac Age";
    public ComponentCategory Category => ComponentCategory.Control;
    public string UpdateName => this.ComponentName;
    public string? XMLURL => null;
    public string? UpdateURL => null;
    public Version Version => new(1, 0);

    public IComponent Create(LiveSplitState state) {
        return new TzaComponent(state);
    }
}
